"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRepositoryToken = exports.getDocumentManagerToken = exports.getDocumentManagerOptionsToken = exports.getModulePrefixToken = exports.DEFAULT_CONNECTION = void 0;
exports.DEFAULT_CONNECTION = 'DEFAULT';
function getModulePrefixToken(connectionName) {
    return `TYPE_MONGODB_${(connectionName || exports.DEFAULT_CONNECTION).toUpperCase()}`;
}
exports.getModulePrefixToken = getModulePrefixToken;
function getDocumentManagerOptionsToken(connectionName) {
    return `${getModulePrefixToken(connectionName)}_DOCUMENT_MANAGER_OPTIONS}`;
}
exports.getDocumentManagerOptionsToken = getDocumentManagerOptionsToken;
function getDocumentManagerToken(connectionName) {
    return `${getModulePrefixToken(connectionName)}_DOCUMENT_MANAGER`;
}
exports.getDocumentManagerToken = getDocumentManagerToken;
function getRepositoryToken(entity, connectionName) {
    return `${getModulePrefixToken(connectionName)}_${entity.name}Repository`;
}
exports.getRepositoryToken = getRepositoryToken;
//# sourceMappingURL=token.utils.js.map